<section id="categories" style="margin-top: 5%;">
    <div class="container p-5">
      <h4 class="display-4">Categories</h4>
      <div *ngIf="!categories" class="m-auto">
        <h1 class="text-center display-3 mt-5">
          <i class="fa fa-spinner fa-spin"></i>
        </h1>
      </div>
      <div class="text-inputs">
        <mat-form-field>
          <input matInput placeholder="search by name" [(ngModel)]="name_filter" (keyup)="filterCategories()">
        </mat-form-field>
      </div>
      <table class="table table-hover">
        <tbody>
          <tr *ngFor="let category of filtered_categories">
              <td routerLink="/categories/{{ category._id }}" style="width: 85%;">
                {{ category.name }}
            </td>
              <td style="width: 15%;">
                <button *ngIf="logged_in_user && logged_in_user.isAdmin" class="btn btn-warning" (click)="editCategory(category)">ערוך</button>
                <button *ngIf="logged_in_user && logged_in_user.isAdmin" style="margin-left: 5%;" class="btn btn-danger" (click)="deleteCategory(category._id)">מחק</button>
              </td>
          </tr>
        </tbody>
      </table>
      <hr style="margin-top: 2%;">
      <div *ngIf="logged_in_user && logged_in_user.isAdmin" class="card bg-light mt-5">
        <div class="card-body">
          <h4 class="card-title">Add New Category</h4>
          <hr>
          <div class="form">
            <div class="form-group">
              <label>Category</label>
              <input type="text" class="form-control" [(ngModel)]="newCategory.name">
            </div>
            <button type="button" class="btn btn-info" (click)="addCategory()" [disabled]="btnDisabled">Add Category</button>
          </div>
        </div>
      </div>
    </div>
  </section>
  